List person notes
curl --request GET \
--url https://api.withallo.com/v2/api/crm/people/{person_id}/notes \
--header 'Authorization: <api-key>'import requests
url = "https://api.withallo.com/v2/api/crm/people/{person_id}/notes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.withallo.com/v2/api/crm/people/{person_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cno-abc123",
"person_id": "per-abc123",
"content": "Prefers email over calls. Intro by @[Jane Doe](usr-abc123).",
"user": {
"id": "usr-def456",
"name": "John Smith"
},
"mentions": [
{
"user_id": "usr-abc123",
"name": "Jane Doe",
"deleted": false
}
],
"created_at": "2026-07-13T10:00:00",
"updated_at": "2026-07-13T10:00:00"
}
],
"pagination": {
"page": 1,
"size": 20,
"total_count": 1,
"total_pages": 1,
"has_more": false
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Notes
List person notes
Returns the notes on a person’s CRM profile, paginated.
GET
/
v2
/
api
/
crm
/
people
/
{person_id}
/
notes
List person notes
Required scope:
NOTES_READperson_id is the per-* id from the People API.
Errors
| Status | Code | When |
|---|---|---|
400 | CONTACT_NOTES_UNAVAILABLE | The workspace is not on the v2 contact model yet |
400 | INVALID_PAGE_SIZE | size is not between 1 and 100 |
404 | PERSON_NOT_FOUND | No person with this ID (also returned for IDs without the per- prefix) |
Authorizations
Path Parameters
Person ID (per-*) — the id field from the People API.
Example:
"per-abc123"
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100Was this page helpful?
⌘I